<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/com_err_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/13/84  com_err_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The com_err_ subroutine is the principal subroutine used by commands
<span id="L4" class="LineNr">  4 </span>for printing error messages.  It is usually called with a nonzero
<span id="L5" class="LineNr">  5 </span>status code to report an unusual status condition.  It can also be
<span id="L6" class="LineNr">  6 </span>called with a code of 0 to report an error which does not have a status
<span id="L7" class="LineNr">  7 </span>code associated with it.  Status codes are described in the
<span id="L8" class="LineNr">  8 </span>Programmer's Reference Manual.
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>See also the active_fnc_err_ subroutine which should be used by active
<span id="L11" class="LineNr"> 11 </span>functions for printing error messages.
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Entry points in com_err_:
<span id="L15" class="LineNr"> 15 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>:Entry: com_err_: 02/13/84  com_err_
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>Function: formats an error message and then signals the command_error
<span id="L22" class="LineNr"> 22 </span>condition.  The default handler for this condition simply returns
<span id="L23" class="LineNr"> 23 </span>control to the com_err_ subroutine, which then writes the error
<span id="L24" class="LineNr"> 24 </span>message on the error_output I/O switch.
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>Syntax:
<span id="L28" class="LineNr"> 28 </span>declare com_err_ entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L29" class="LineNr"> 29 </span>call com_err_ <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_o0">,</span> caller<span class="textRainbow_lv0_o0">,</span> control_string<span class="textRainbow_lv0_o0">,</span> arg1<span class="textRainbow_lv0_o0">,</span> ...<span class="textRainbow_lv0_o0">,</span> argN<span class="textRainbow_lv0_p0">)</span>;
<span id="L30" class="LineNr"> 30 </span>
<span id="L31" class="LineNr"> 31 </span>
<span id="L32" class="LineNr"> 32 </span>Arguments:
<span id="L33" class="LineNr"> 33 </span>code
<span id="L34" class="LineNr"> 34 </span>   is a standard status code, which normally is fixed binary <span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span>, but
<span id="L35" class="LineNr"> 35 </span>   can be any computational data type.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> If it is not already
<span id="L36" class="LineNr"> 36 </span>   fixed binary <span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span>, it will be converted to fixed binary <span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span>.
<span id="L37" class="LineNr"> 37 </span>caller
<span id="L38" class="LineNr"> 38 </span>   is the name <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> of the procedure calling the com_err_
<span id="L39" class="LineNr"> 39 </span>   subroutine.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It can be either varying or nonvarying.
<span id="L40" class="LineNr"> 40 </span>
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>control_string
<span id="L43" class="LineNr"> 43 </span>   is an ioa_ subroutine control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> This
<span id="L44" class="LineNr"> 44 </span>   argument is optional <span class="textRainbow_lv0_p0">(</span>see &quot;Notes&quot; below<span class="textRainbow_lv0_p0">)</span>.
<span id="L45" class="LineNr"> 45 </span>argI
<span id="L46" class="LineNr"> 46 </span>   are ioa_ subroutine arguments to be substituted into the
<span id="L47" class="LineNr"> 47 </span>   control_string argument.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> These arguments are optional.
<span id="L48" class="LineNr"> 48 </span>   They can only be used, however, if the control_string argument is
<span id="L49" class="LineNr"> 49 </span>   given first <span class="textRainbow_lv0_p0">(</span>see &quot;Notes&quot; below<span class="textRainbow_lv0_p0">)</span>.
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>Notes:  The error message prepared by the com_err_ subroutine has the
<span id="L53" class="LineNr"> 53 </span>following format:
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>        caller:  system_message user_message
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>caller
<span id="L58" class="LineNr"> 58 </span>   is the name of the program detecting the error.
<span id="L59" class="LineNr"> 59 </span>system_message
<span id="L60" class="LineNr"> 60 </span>   is a standard message from the error table corresponding to the
<span id="L61" class="LineNr"> 61 </span>   value of code.  If code is equal to 0, no system_message is printed.
<span id="L62" class="LineNr"> 62 </span>user_message
<span id="L63" class="LineNr"> 63 </span>   is constructed by the ioa_ subroutine from the control_string and
<span id="L64" class="LineNr"> 64 </span>   argI arguments.  If the control_string and argI arguments are
<span id="L65" class="LineNr"> 65 </span>   omitted, no user_message is printed.
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>
<span id="L68" class="LineNr"> 68 </span>If code is error_table_$active_function, com_err_ will print a slightly
<span id="L69" class="LineNr"> 69 </span>different message and signal the active_function_error condition to
<span id="L70" class="LineNr"> 70 </span>prevent the command from being restarted.  The message printed will be:
<span id="L71" class="LineNr"> 71 </span>
<span id="L72" class="LineNr"> 72 </span>   caller:  This command cannot be invoked as an active function.
<span id="L73" class="LineNr"> 73 </span>            user_message
<span id="L74" class="LineNr"> 74 </span>   error:   Attempt to invoke command caller as an active function.
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>If the com_err_ subroutine is passed a nonzero code that does not
<span id="L78" class="LineNr"> 78 </span>correspond to a standard format error table entry, the system_message
<span id="L79" class="LineNr"> 79 </span>is of the form:
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>        Code ddd
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>where ddd is the decimal representation of code.  The argument caller
<span id="L84" class="LineNr"> 84 </span>must not be null or blank; if it is, the handlers for command_error
<span id="L85" class="LineNr"> 85 </span>cannot identify the signalling procedure.
<span id="L86" class="LineNr"> 86 </span>
<span id="L87" class="LineNr"> 87 </span>
<span id="L88" class="LineNr"> 88 </span>:Entry:  suppress_name:  02/13/84 com_err_$suppress_name
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>
<span id="L91" class="LineNr"> 91 </span>Function:  This entry point should be used when the caller name and
<span id="L92" class="LineNr"> 92 </span>colon are not wanted.  The caller name is still passed to the
<span id="L93" class="LineNr"> 93 </span>command_error condition handler.  Otherwise, this entry point is the
<span id="L94" class="LineNr"> 94 </span>same as the com_err_ entry point.
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>
<span id="L97" class="LineNr"> 97 </span>Syntax:
<span id="L98" class="LineNr"> 98 </span>declare com_err_$suppress_name entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L99" class="LineNr"> 99 </span>call com_err_$suppress_name <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_o0">,</span> caller<span class="textRainbow_lv0_o0">,</span> control_string<span class="textRainbow_lv0_o0">,</span>
<span id="L100" class="LineNr">100 </span>     arg1<span class="textRainbow_lv0_o0">,</span> ...<span class="textRainbow_lv0_o0">,</span> argN<span class="textRainbow_lv0_p0">)</span>;
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>Arguments:
<span id="L104" class="LineNr">104 </span>code
<span id="L105" class="LineNr">105 </span>   is a standard status code, which normally is fixed binary <span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span>, but
<span id="L106" class="LineNr">106 </span>   can be any computational data type.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> If it is not already
<span id="L107" class="LineNr">107 </span>   fixed binary <span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span>, it will be converted to fixed binary <span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span>.
<span id="L108" class="LineNr">108 </span>caller
<span id="L109" class="LineNr">109 </span>   is the name <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> of the procedure calling the com_err_
<span id="L110" class="LineNr">110 </span>   subroutine.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It can be either varying or nonvarying.
<span id="L111" class="LineNr">111 </span>
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>control_string
<span id="L114" class="LineNr">114 </span>   is an ioa_ subroutine control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> This
<span id="L115" class="LineNr">115 </span>   argument is optional.
<span id="L116" class="LineNr">116 </span>argI
<span id="L117" class="LineNr">117 </span>   are ioa_ subroutine arguments to be substituted into the
<span id="L118" class="LineNr">118 </span>   control_string argument.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> These arguments are optional.
<span id="L119" class="LineNr">119 </span>   They can only be used, however, if the control_string argument is
<span id="L120" class="LineNr">120 </span>   given first.
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>Notes:  See &quot;Notes&quot; under the com_err_ entry point.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
